OCI-Lob::load
OCI-Lob::rewind
OCI8 Functions
PHP Manual

# OCI-Lob::read

Reads part of the large object

### Description

string OCI-Lob::read ( int `$length` )

Reads `length` bytes from the current position of LOB's internal pointer.

Reading stops when `length` bytes have been read or end of the large object is reached. Internal pointer of the large object will be shifted on the amount of bytes read.

### Parameters

`length`

  The length of data to read, in bytes.

### Return Values

Returns the contents as a string, or `FALSE` on failure.

### See Also

- OCI-Lob::load
- OCI-Lob::write